<?php

if (!defined('ABSPATH'))
{
	die();
}

?>
<div id="google-business-reviews-rating-settings" class="wrap banner">
	<h1><span><?php esc_html_e('Reviews and Rating - Google My Business', 'g-business-reviews-rating'); ?></span><?php echo ($this->demo) ? ' <span class="demo"><span class="dashicons dashicons-warning"></span> ' . __('Demo Mode', 'g-business-reviews-rating') . '</span>' : ''; ?></h1>
    <p id="plugin-attribution"><span class="powered-by-google"></span></p>
    <nav class="nav-tab-wrapper wp-clearfix" aria-label="Secondary menu">
<?php if ($this->section != 'welcome'): ?>
        <a href="#setup" class="nav-tab<?php echo ($this->section == NULL) ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-admin-settings"></span> <?php esc_html_e('Setup', 'g-business-reviews-rating'); ?></a>
<?php if ($this->valid()): ?>
        <a href="#shortcodes" class="nav-tab<?php echo ($this->section == 'shortcodes') ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-editor-code"></span> <?php esc_html_e('Shortcodes', 'g-business-reviews-rating'); ?></a>
<?php endif; ?>
<?php if ($this->count_reviews_all >= 1): ?>
        <a href="#reviews" class="nav-tab<?php echo ($this->section == 'reviews') ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-star-filled"></span> <?php esc_html_e('Reviews', 'g-business-reviews-rating'); ?> <span class="count"><?php echo esc_html($this->count_reviews_all); ?></span></a>
<?php endif; ?>
	<?php if ($this->retrieved_data_check()): ?>
        <a href="#data" class="nav-tab<?php echo ($this->section == 'data') ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-cloud"></span> <?php esc_html_e('Retrieved Data', 'g-business-reviews-rating'); ?></a>
<?php endif; ?>
        <a href="#advanced" class="nav-tab<?php echo ($this->section == 'advanced') ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-buddicons-groups"></span> <?php esc_html_e('Advanced', 'g-business-reviews-rating'); ?></a>
        <a href="#about" class="nav-tab<?php echo ($this->section == 'about') ? ' nav-tab-active' : ''; ?>"><span class="dashicons dashicons-heart"></span> <?php esc_html_e('About', 'g-business-reviews-rating'); ?></a>
<?php endif; ?>
    </nav>

<?php if ($this->section == 'welcome'): ?>
	<div id="welcome" class="section" data-errors="<?php echo esc_attr(json_encode(array(__('A Google API Key and a Place ID are required', 'g-business-reviews-rating'), __('A Google API Key is required', 'g-business-reviews-rating'), __('A Place ID is required', 'g-business-reviews-rating'), __('The Google API Key and Place ID have different values', 'g-business-reviews-rating'), __('An unknown error has a occurred, please reload this page.', 'g-business-reviews-rating')))); ?>">
		<h2><?php esc_html_e('Google Credentials', 'g-business-reviews-rating'); ?></h2>
        <form method="post" action="options.php" id="google-business-reviews-rating-settings-welcome">
            <table class="form-table">
                <tr>
                    <th scope="row"><label for="welcome-api-key"><?php esc_html_e('Google API Key', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p class="input">
                            <input type="text" id="welcome-api-key" class="regular-text code" name="google_business_reviews_rating_api_key" placeholder="<?php echo esc_attr(str_repeat('x', 40)); ?>" value="<?php echo esc_attr(get_option('google_business_reviews_rating_api_key')); ?>">
                        </p>
                        <p class="description<?php echo ((get_option('google_business_reviews_rating_api_key') == NULL) ? ' unset' : ''); ?>"><?php /* translators: 1: URL of Place ID Finder, 2: IP of the web server, 3: Help icon and reveal toggle link */ 
						echo sprintf(__('In order to retrieve Google My Business data, you’ll need your own <a href="%1$s" class="components-external-link" target="_blank">API Key</a>, with API: <span class="highlight">Places API</span> and restrict to IP: <span class="highlight">%2$s</span> %3$s', 'g-business-reviews-rating'), 'https://developers.google.com/maps/documentation/javascript/get-api-key', esc_html($this->server_ip()), ' <a id="welcome-google-credentials-help" href="#welcome-google-credentials-steps"><span class="dashicons dashicons-editor-help"></span></a>'); ?></p>
                        <?php /* translators: 1: a HTML ID, 2: URL of Google Developer Console, 3: URL of Place API, 4: URL of Google Developer Console, 5: IP of web server, 6: URL for Google billing account */
						echo sprintf(__('<ol id="%1$s">
							<li>Create a new project or open an existing project in <a href="%2$s" class="components-external-link" target="_blank">Google Developer’s Console</a>;</li>
							<li>Check the API: <a href="%3$s" class="components-external-link" target="_blank">Places API</a> is enabled in your account;</li>
							<li>In the Console, go to: <a href="%4$s" class="components-external-link" target="_blank">Credentials</a>;</li>
							<li>Click “+ Create Credentials”;</li>
							<li>Select “API Key”;</li>
							<li>Click “Restrict Key”;</li>
							<li>Set “Application restrictions” to “IP addresses” and enter: <span class="highlight">%5$s</span> ;</li>
							<li>Under the heading: “API restrictions”, select “Restrict Key” and select: “Places API”;</li>
							<li>Click “Save”;</li>
							<li>Finally for regular requests, please <a href="%6$s" class="components-external-link" target="_blank">enable billing</a> for your project to receive your <em>substantial and free</em> API request allocation.</li>
						</ol>', 'g-business-reviews-rating'), 'welcome-google-credentials-steps', 'https://console.developers.google.com/apis/credentials', 'https://console.cloud.google.com/apis/library/places-backend.googleapis.com?q=place', 'https://console.developers.google.com/apis/credentials', $this->server_ip(), 'https://console.cloud.google.com/project/_/billing/enable'); ?>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="welcome-place-id"><?php esc_html_e('Google Place ID', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p class="input">
                            <input type="text" id="welcome-place-id" class="regular-text code" name="google_business_reviews_rating_place_id" pattern="^[B-Za-z][0-9A-Za-z_-]{15,125}[0-9A-Za-z]$" placeholder="<?php echo esc_attr(str_repeat('x', 26)); ?>" value="<?php echo esc_attr(get_option('google_business_reviews_rating_place_id')); ?>">
<?php if (is_array($this->places) && count($this->places) == 1 && isset($this->data['result']['name']) && $this->data['result']['name'] != NULL): ?>
                            <input type="text" id="welcome-place-name" class="regular-text" name="place_name" value="<?php echo esc_attr($this->data['result']['name']); ?>"<?php echo ' style="width: calc(' . (strlen($this->data['result']['name']) + 1) . 'ch + 16px);"'; ?> disabled>
<?php endif; ?>
                        </p>
<?php if ($this->demo || !$this->valid() || (!isset($this->data['result']['url']) || isset($this->data['result']['url']) && $this->data['result']['url'] == NULL)): ?>
                        <p class="description"><?php /* translators: %s: the Google Place Finder URL */ 
						echo sprintf(__('You can find your unique Place ID by searching by your business&rsquo; name in <a href="%s" class="components-external-link" target="_blank">Google&rsquo;s Place ID Finder</a>. Single business locations are accepted; coverage areas are not.', 'g-business-reviews-rating'), 'https://developers.google.com/places/place-id'); ?></p>
<?php else: ?>
                        <p class="description"><?php /* translators: %s: the Google Place Finder URL */ 
						echo sprintf(__('Find your business&rsquo; name in <a href="%s" class="components-external-link" target="_blank">Google&rsquo;s Place ID Finder</a>; single business locations are accepted; coverage areas are not accepted.', 'g-business-reviews-rating'), 'https://developers.google.com/places/place-id'); ?></p>
<?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="welcome-language"><?php esc_html_e('Retrieval Language', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="welcome-language" name="google_business_reviews_rating_language">
                        <option value=""<?php echo (get_option('google_business_reviews_rating_language') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('No Preference', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->languages as $k => $name)
	{
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_language') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="welcome-update"><?php esc_html_e('Update Frequency', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="welcome-update" name="google_business_reviews_rating_update">
<?php
	foreach ($this->updates as $k => $name)
	{
		if ($k == 24)
		{
			/* translators: %s: is the translation of “Synchronize Daily” */
			$name = sprintf(__('%s (Recommended)', 'g-business-reviews-rating'), $name);
		}
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_update') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
            </table>
            
            <p class="submit">
				<?php submit_button(NULL, 'primary', 'submit', FALSE, array('id' => 'welcome-save')); ?>
                <a href="#setup" id="welcome-demo"><?php esc_html_e('Skip and enable Demo mode', 'g-business-reviews-rating'); ?></a>
            </p>
        </form>
	</div>
<?php endif; ?>

    <div id="setup" class="section<?php echo (($this->section != NULL) ? ' hide' : '') . ((preg_match('/\bdark\b/i', get_option('google_business_reviews_rating_reviews_theme'))) ? ' dark' : '') . ((preg_match('/\bfonts\b/i', get_option('google_business_reviews_rating_reviews_theme'))) ? ' fonts' : '') ?>"<?php echo ($this->data_hunter('boolean')) ? ' data-hunter="' . esc_attr($this->data_hunter('json')) . '"' : ''; ?>>
        <form method="post" action="options.php" id="google-business-reviews-rating-setup">
<?php
	settings_fields('google_business_reviews_rating_settings');
	do_settings_sections('google_business_reviews_rating_settings');
	
if ($this->valid()): ?>
            <h2><?php esc_html_e('Reviews and Rating', 'g-business-reviews-rating'); ?></h2>
            <p><?php _e('The general settings for your reviews and rating elements. Shortcode parameters will take precedence.', 'g-business-reviews-rating'); ?></p>
            <table id="reviews-rating-settings" class="form-table">
                <tr>
                    <th scope="row"><label for="review-limit"><?php esc_html_e('Review Limit', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p class="input">
                            <input type="number" id="review-limit" class="small-text" name="google_business_reviews_rating_review_limit" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_limit')); ?>" placeholder="&mdash;" step="1" min="0" max="<?php echo ($this->count_reviews_all > 5) ? esc_attr(round($this->count_reviews_all * 1.2)) : 5; ?>">
                            <label for="review-limit-hide"><input type="radio" id="review-limit-hide" name="google_business_reviews_rating_review_limit_option" value="0"<?php echo (!$this->show_reviews) ? ' checked="checked"' : ''; ?>> <?php esc_html_e('Hide Reviews', 'g-business-reviews-rating'); ?></label>
                            <label for="review-limit-set"><input type="radio" id="review-limit-set" name="google_business_reviews_rating_review_limit_option" value="1"<?php echo ($this->show_reviews && is_numeric(get_option('google_business_reviews_rating_review_limit'))) ? ' checked="checked"' : ''; ?>> <?php esc_html_e('Show Limited Reviews', 'g-business-reviews-rating'); ?></label>
                            <label for="review-limit-all"><input type="radio" id="review-limit-all" name="google_business_reviews_rating_review_limit_option" value="all"<?php echo ($this->show_reviews && !is_numeric(get_option('google_business_reviews_rating_review_limit'))) ? ' checked="checked"' : ''; ?>> <?php esc_html_e('Show All Reviews', 'g-business-reviews-rating'); ?></label>
                        </p>
                        <p class="description"><?php /* translators: %u: refers number of reviews and must remain intact */
						printf(_n('You currently have %u active review retrieved from Google Places.', 'You currently have %u active reviews retrieved from Google Places (and imported).', $this->count_reviews_active, 'g-business-reviews-rating'), $this->count_reviews_active); ?></p>
                    </td>
                </tr>
                <tr class="show-reviews">
                    <th scope="row"><label for="review-sort"><?php esc_html_e('Review Sort', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="review-sort" name="google_business_reviews_rating_review_sort"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>>
<?php
	foreach ($this->review_sort_options as $k => $a)
	{
?>
                            <option value="<?php echo (($k == 'relevance_desc') ? '' : esc_attr($k)); ?>"<?php echo (get_option('google_business_reviews_rating_review_sort') == $k || $k == 'relevance_desc' && get_option('google_business_reviews_rating_review_sort') == NULL) ? ' selected' : ''; ?>><?php echo esc_attr($a['name'] . ((isset($a['min_max_values']) && is_array($a['min_max_values'])) ? ' (' . implode(' → ', $a['min_max_values']) . ')' : '')); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr class="show-reviews">
                    <th scope="row"><label for="rating-min"><?php esc_html_e('Rating Range', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="rating-min" class="min" name="google_business_reviews_rating_rating_min"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>>
                            <option value=""<?php echo (get_option('google_business_reviews_rating_rating_min') == NULL) ? ' selected' : ''; ?>>&mdash;</option>
<?php
	for ($i = 1; $i <= 5; $i++)
	{
?>

                            <option value="<?php echo esc_attr($i); ?>"<?php echo (get_option('google_business_reviews_rating_rating_min') == $i) ? ' selected' : ''; ?>><?php echo esc_attr($i); ?></option>
<?php
	}
?>
                        </select> – 
                        <select id="rating-max" class="max" name="google_business_reviews_rating_rating_max"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>>
                            <option value=""<?php echo (get_option('google_business_reviews_rating_rating_max') == NULL) ? ' selected' : ''; ?>>&mdash;</option>
<?php
	for ($i = 1; $i <= 5; $i++)
	{
?>
                            <option value="<?php echo esc_attr($i); ?>"<?php echo (get_option('google_business_reviews_rating_rating_max') == $i) ? ' selected' : ''; ?>><?php echo esc_attr($i); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr class="show-reviews">
                    <th scope="row"><label for="rating-min"><?php esc_html_e('Review Text Length Range', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <input type="number" id="review-text-min" class="min" name="google_business_reviews_rating_review_text_min" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_min')); ?>" placeholder="&mdash;" step="1" min="0"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>> – 
                        <input type="number" id="review-text-max" class="min" name="google_business_reviews_rating_review_text_max" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_max')); ?>" placeholder="&mdash;" step="1" min="0"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>> 
                    </td>
                </tr>
                <tr class="show-reviews">
                    <th scope="row"><?php esc_html_e('Review Excerpt Length', 'g-business-reviews-rating'); ?></th>
                    <td>
                        <p class="input">
                            <input type="number" id="review-text-excerpt-length" class="small-text" name="google_business_reviews_rating_review_text_excerpt_length" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_excerpt_length')); ?>" placeholder="&mdash;" step="1" min="20"<?php echo (!$this->show_reviews) ? ' disabled="disabled"' : ''; ?>>
                        </p>
                        <p class="description"><?php /* translators: %s: refers to a HTML ID, leave unchanged */
						echo sprintf(__('The characters displayed before a <a href="%s" class="void">… More</a> toggle is shown to reveal the full review text. Leave empty for no excerpt.', 'g-business-reviews-rating'), '#review-text-excerpt-length'); ?></p>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="reviews-theme"><?php esc_html_e('Theme', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="reviews-theme" name="google_business_reviews_rating_reviews_theme"<?php echo ((get_option('google_business_reviews_rating_stylesheet') == FALSE) ? ' disabled="disabled"' : ''); ?>>
							<option value=""<?php echo (get_option('google_business_reviews_rating_reviews_theme') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('Default', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->reviews_themes as $k => $name)
	{
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_reviews_theme') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
                        </select>
                        <label for="stylesheet"><input type="checkbox" id="stylesheet" name="google_business_reviews_rating_stylesheet" value="<?php echo (get_option('google_business_reviews_rating_stylesheet') ? get_option('google_business_reviews_rating_stylesheet', 1) : '1'); ?>"<?php echo (get_option('google_business_reviews_rating_stylesheet') ? ' checked="checked"' : ''); ?>> <?php esc_html_e('Load Style Sheet', 'g-business-reviews-rating'); ?></label>
                        <p id="theme-recommendation-badge" class="description"><?php _e('We recommend hiding all reviews with this theme.', 'g-business-reviews-rating'); ?></p>
                        <p id="theme-recommendation-columns" class="description"><?php _e('We recommend matching the limit to multiples of columns.', 'g-business-reviews-rating'); ?></p>
                        <p id="theme-recommendation-bubble" class="description"><?php /* translators: %s: refers to a shortcode parameter */
						echo sprintf(__('We recommend using the shortcode parameter: <em>%s</em> for further customizations.', 'g-business-reviews-rating'), 'review_item_order'); ?></p>
                    </td>
                </tr>
                <tr id="color-schemes">
                    <th scope="row"><label for="color-scheme"><?php esc_html_e('Color Scheme', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                    	<label class="<?php echo 'default' . ((get_option('google_business_reviews_rating_color_scheme') == NULL) ? ' selected' : ''); ?>" for="color-scheme"><input type="radio" id="color-scheme" name="google_business_reviews_rating_color_scheme" value=""<?php echo (get_option('google_business_reviews_rating_color_scheme') == NULL) ? ' checked' : ''; ?>> <?php _e('None', 'g-business-reviews-rating'); ?></label>
<?php foreach ($this->color_schemes as $k => $name) : ?>
                    	<label class="<?php echo esc_attr($k) . ((get_option('google_business_reviews_rating_color_scheme') == $k) ? ' selected' : ''); ?>" for="<?php echo esc_attr('color-scheme-' . $k); ?>"><input type="radio" id="<?php echo esc_attr('color-scheme-' . $k); ?>" name="google_business_reviews_rating_color_scheme" value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_color_scheme') == $k) ? ' checked' : ''; ?>><?php echo esc_html($name); ?></label>
<?php endforeach; ?>
</td>
                </tr>
                <tr<?php echo ((get_option('google_business_reviews_rating_icon') == NULL) ? ' class="empty"' : ''); ?>>
                    <th scope="row"><?php esc_html_e('Icon', 'g-business-reviews-rating'); ?></th>
                    <td>
                        <p class="business-icon-image<?php echo (get_option('google_business_reviews_rating_icon') == NULL) ? ' empty' : ''; ?>">
                            <span id="icon-image-preview" class="image thumbnail"><?php echo (get_option('google_business_reviews_rating_icon') != NULL) ? preg_replace('/\s+(?:width|height)="\d*"/i', '', wp_get_attachment_image($this->icon_image_id, 'large')) : ''; ?></span>
                            <span class="set"><button type="button" id="icon-image" class="button button-secondary ui-button" name="icon-image" value="1" data-set-text="<?php esc_attr_e('Choose Image', 'g-business-reviews-rating'); ?>" data-replace-text="<?php esc_attr_e('Replace', 'g-business-reviews-rating'); ?>"><span class="dashicons dashicons-format-image"></span> <?php echo (get_option('google_business_reviews_rating_icon') == NULL) ? esc_attr(__('Choose Image', 'g-business-reviews-rating')) : esc_attr(__('Replace', 'g-business-reviews-rating')); ?></button></span>
                            <span class="delete"<?php echo (get_option('google_business_reviews_rating_icon') == NULL) ? ' style="display: none;"' : ''; ?>><button type="button" id="icon-image-delete" class="button button-secondary ui-button" name="icon-image-delete" value="1"><span class="dashicons dashicons-no"></span> Remove</button></span>
                            <input type="hidden" id="icon-image-id" name="google_business_reviews_rating_icon" value="<?php echo esc_attr($this->icon_image_id); ?>">
                        </p>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="shortcode-short"><?php esc_html_e('Shortcode', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <input id="shortcode-short" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating]" readonly>
                        <p class="description"><?php /* translators: %s: refers to the shortcode section bookmark */
						echo sprintf(__('View all <a href="%s">shortcodes and parameters</a> for further customization.', 'g-business-reviews-rating'), '#shortcodes'); ?></p>
                    </td>
                </tr>
            </table>
            <h2 id="reviews-rating-preview-heading" class="hide"><a href="reviews-rating-preview"><span class="dashicons dashicons-arrow-right"></span> <?php esc_html_e('Preview', 'g-business-reviews-rating'); ?></a></h2>
            <div id="reviews-rating-preview" class="hide <?php echo esc_attr(get_option('google_business_reviews_rating_reviews_theme')); ?>">
            </div>

<?php else: ?>
            <input type="hidden" id="review-limit" name="google_business_reviews_rating_review_limit" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_limit')); ?>">
            <input type="hidden" id="rating-min" name="google_business_reviews_rating_rating_min" value="<?php echo esc_attr(get_option('google_business_reviews_rating_rating_min')); ?>">
            <input type="hidden" id="rating-max" name="google_business_reviews_rating_rating_max" value="<?php echo esc_attr(get_option('google_business_reviews_rating_rating_max')); ?>">
            <input type="hidden" id="review-text-min" name="google_business_reviews_rating_review_text_min" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_min')); ?>">
            <input type="hidden" id="review-text-max" name="google_business_reviews_rating_review_text_max" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_max')); ?>">
            <input type="hidden" id="review-text-excerpt-length" name="google_business_reviews_rating_review_text_excerpt_length" value="<?php echo esc_attr(get_option('google_business_reviews_rating_review_text_excerpt_length')); ?>">
            <input type="hidden" id="reviews-theme" name="google_business_reviews_rating_reviews_theme" value="<?php echo esc_attr(get_option('google_business_reviews_rating_reviews_theme')); ?>">
            <input type="hidden" id="stylesheet" name="google_business_reviews_rating_stylesheet" value="<?php echo esc_attr(get_option('google_business_reviews_rating_stylesheet')); ?>">
            <input type="hidden" id="icon" name="google_business_reviews_rating_icon" value="<?php echo esc_attr(get_option('google_business_reviews_rating_icon')); ?>">
            <input type="hidden" id="structured-data" name="google_business_reviews_rating_structured_data" value="<?php echo esc_attr(get_option('google_business_reviews_rating_structured_data')); ?>">
            <input type="hidden" id="telephone" name="google_business_reviews_rating_telephone" value="<?php echo esc_attr(get_option('google_business_reviews_rating_telephone')); ?>">
            <input type="hidden" id="business-type" name="google_business_reviews_rating_business_type" value="<?php echo esc_attr(get_option('google_business_reviews_rating_business_type')); ?>">
            <input type="hidden" id="price-range" name="google_business_reviews_rating_price_range" value="<?php echo esc_attr(get_option('google_business_reviews_rating_price_range')); ?>">
            <input type="hidden" id="logo" name="google_business_reviews_rating_logo" value="<?php echo esc_attr(get_option('google_business_reviews_rating_logo')); ?>">
<?php endif; ?>

<?php if (!$this->demo && $this->valid() && $this->structured_data(TRUE)): ?>
            <h2><?php esc_html_e('Structured Data', 'g-business-reviews-rating'); ?></h2>
            <p><?php /* translators: %s: refers to Schema URL and name, leave unchanged */ 
			echo sprintf(__('Allow search engines to easily read review data for your website using Structured Data %s which includes general business information and recent, relevant and visible reviews.', 'g-business-reviews-rating'), '(<a href="//schema.org" class="components-external-link" target="_blank">Schema.org</a>)'); ?></p>
            <table class="form-table">
                <tr>
                    <th scope="row"><label for="structured-data"><?php esc_html_e('Structured Data', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p>
                            <label for="structured-data"><input type="checkbox" id="structured-data" name="google_business_reviews_rating_structured_data" value="<?php echo esc_attr((is_numeric(get_option('google_business_reviews_rating_structured_data')) && get_option('google_business_reviews_rating_structured_data') >= 1) ? get_option('google_business_reviews_rating_structured_data') : 1); ?>"<?php echo ($this->count_reviews_active == 0) ? ' disabled="disabled"' : ''; ?><?php echo (intval(get_option('google_business_reviews_rating_structured_data')) >= 1) ? ' checked="checked"' : ''; ?><?php echo ($this->count_reviews_active == 0) ? ' disabled="disabled"' : ''; ?>> <?php esc_html_e('Enable and insert Structured Data on the front page.', 'g-business-reviews-rating'); ?></label>
                            <button type="button" name="structured-data-preview" id="structured-data-preview" class="button button-secondary structured-data"<?php echo (get_option('google_business_reviews_rating_structured_data') ? '' : ' style="display: none"'); ?>><span class="dashicons dashicons-text-page"></span> <?php esc_html_e('Preview', 'g-business-reviews-rating'); ?></button>
						</p>
                    </td>
                </tr>
                <tr class="structured-data"<?php echo (get_option('google_business_reviews_rating_structured_data') ? '' : ' style="display: none"'); ?>>
                    <th scope="row"><label for="telephone"><?php esc_html_e('Telephone', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <input type="tel" id="telephone" name="google_business_reviews_rating_telephone" placeholder="&mdash;" value="<?php echo esc_attr(get_option('google_business_reviews_rating_telephone')); ?>">
                    </td>
                </tr>
                <tr class="structured-data"<?php echo (get_option('google_business_reviews_rating_structured_data') ? '' : ' style="display: none"'); ?>>
                    <th scope="row"><label for="business-type"><?php esc_html_e('Business Type', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="business-type" name="google_business_reviews_rating_business_type">
                            <optgroup label="<?php esc_attr_e('Local Business', 'g-business-reviews-rating'); ?>" data-type="LocalBusiness">
                                <option value=""<?php echo (get_option('google_business_reviews_rating_business_type') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('Not Applicable/Other', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->business_types as $k => $name)
	{
?>
                                <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_business_type') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
							</optgroup>
                            <optgroup label="<?php esc_attr_e('Airline', 'g-business-reviews-rating'); ?>" data-type="Airline">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Consortium', 'g-business-reviews-rating'); ?>" data-type="Consortium">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Corporation', 'g-business-reviews-rating'); ?>" data-type="Corporation">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Educational Organization', 'g-business-reviews-rating'); ?>" data-type="EducationalOrganization">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Funding Scheme', 'g-business-reviews-rating'); ?>" data-type="FundingScheme">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Government Organization', 'g-business-reviews-rating'); ?>" data-type="GovernmentOrganization">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Library System', 'g-business-reviews-rating'); ?>" data-type="LibrarySystem">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Medical Organization', 'g-business-reviews-rating'); ?>" data-type="MedicalOrganization">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('NGO', 'g-business-reviews-rating'); ?>" data-type="NGO">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('News Media Organization', 'g-business-reviews-rating'); ?>" data-type="NewsMediaOrganization">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Performing Group', 'g-business-reviews-rating'); ?>" data-type="PerformingGroup">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Project', 'g-business-reviews-rating'); ?>" data-type="Project">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Sports Organization', 'g-business-reviews-rating'); ?>" data-type="SportsOrganization">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_attr_e('Workers Union', 'g-business-reviews-rating'); ?>" data-type="WorkersUnion">
                                <option value="" disabled><?php esc_html_e('Structured Data Not Available', 'g-business-reviews-rating'); ?></option>
                            </optgroup>
                        </select>
                    </td>
                </tr>
                <tr class="structured-data"<?php echo (get_option('google_business_reviews_rating_structured_data') ? '' : ' style="display: none"'); ?>>
                    <th scope="row"><label for="price-range"><?php esc_html_e('Price Range', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="price-range" name="google_business_reviews_rating_price_range">
                            <option value=""<?php echo (get_option('google_business_reviews_rating_price_range') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('Not Applicable', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->price_ranges as $k => $a)
	{
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_price_range') == $k) ? ' selected' : ''; ?>><?php echo esc_html($a['name']); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr id="logo-image-row" class="structured-data<?php echo ((get_option('google_business_reviews_rating_logo') == NULL) ? ' empty' : ''); ?>"<?php echo ((get_option('google_business_reviews_rating_structured_data') ? '' : ' style="display: none"')); ?>>
                    <th scope="row"><?php esc_html_e('Logo', 'g-business-reviews-rating'); ?></th>
                    <td>
                        <p class="logo-image<?php echo (get_option('google_business_reviews_rating_logo') == NULL) ? ' empty' : ''; ?>">
                            <span id="logo-image-preview" class="image thumbnail"><?php echo (get_option('google_business_reviews_rating_logo') != NULL) ? preg_replace('/\s+(?:width|height)="\d*"/i', '', wp_get_attachment_image($this->logo_image_id, 'large')) : ''; ?></span>
                            <span class="set"><button type="button" id="logo-image" class="button button-secondary ui-button" name="logo-image" value="1" data-set-text="<?php esc_attr_e('Choose Image', 'g-business-reviews-rating'); ?>" data-replace-text="<?php esc_attr_e('Replace', 'g-business-reviews-rating'); ?>"><span class="dashicons dashicons-format-image"></span> <?php echo (get_option('google_business_reviews_rating_logo') == NULL) ? esc_attr(__('Choose Image', 'g-business-reviews-rating')) : esc_attr(__('Replace', 'g-business-reviews-rating')); ?></button></span>
                            <span class="delete"<?php echo (get_option('google_business_reviews_rating_logo') == NULL) ? ' style="display: none;"' : ''; ?>><button type="button" id="logo-image-delete" class="button button-secondary ui-button" name="logo-image-delete" value="1"><span class="dashicons dashicons-no"></span> Remove</button></span>
                            <input type="hidden" id="logo-image-id" name="google_business_reviews_rating_logo" value="<?php echo esc_attr($this->logo_image_id); ?>">
                        </p>
                    </td>
                </tr>
            </table>

<?php endif; ?>
            <h2><?php esc_html_e('Google Credentials', 'g-business-reviews-rating'); ?></h2>
            <table class="form-table">
                <tr>
                    <th scope="row"><label for="api-key"><?php esc_html_e('Google API Key', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p class="input">
                            <input type="text" id="api-key" class="regular-text code" name="google_business_reviews_rating_api_key" placeholder="<?php echo esc_attr(str_repeat('x', 40)); ?>" value="<?php echo esc_attr(get_option('google_business_reviews_rating_api_key')); ?>">
                        </p>
                        <p class="description<?php echo ((get_option('google_business_reviews_rating_api_key') == NULL) ? ' unset' : ''); ?>"><?php /* translators: 1: URL of Place ID Finder, 2: IP of the web server, 3: Help icon and reveal toggle link */ 
						echo sprintf(__('In order to retrieve Google My Business data, you’ll need your own <a href="%1$s" class="components-external-link" target="_blank">API Key</a>, with API: <span class="highlight">Places API</span> and restrict to IP: <span class="highlight">%2$s</span> %3$s', 'g-business-reviews-rating'), 'https://developers.google.com/maps/documentation/javascript/get-api-key', esc_html($this->server_ip()), ' <a id="google-credentials-help" href="#google-credentials-steps"><span class="dashicons dashicons-editor-help"></span></a>'); ?></p>
                        <?php /* translators: 1: a HTML ID, 2: URL of Google Developer Console, 3: URL of Place API, 4: URL of Google Developer Console, 5: IP of web server, 6: URL for Google billing account */
						echo sprintf(__('<ol id="%1$s">
							<li>Create a new project or open an existing project in <a href="%2$s" class="components-external-link" target="_blank">Google Developer’s Console</a>;</li>
							<li>Check the API: <a href="%3$s" class="components-external-link" target="_blank">Places API</a> is enabled in your account;</li>
							<li>In the Console, go to: <a href="%4$s" class="components-external-link" target="_blank">Credentials</a>;</li>
							<li>Click “+ Create Credentials”;</li>
							<li>Select “API Key”;</li>
							<li>Click “Restrict Key”;</li>
							<li>Set “Application restrictions” to “IP addresses” and enter: <span class="highlight">%5$s</span> ;</li>
							<li>Under the heading: “API restrictions”, select “Restrict Key” and select: “Places API”;</li>
							<li>Click “Save”;</li>
							<li>Finally for regular requests, please <a href="%6$s" class="components-external-link" target="_blank">enable billing</a> for your project to receive your <em>substantial and free</em> API request allocation.</li>
						</ol>', 'g-business-reviews-rating'), 'google-credentials-steps', 'https://console.developers.google.com/apis/credentials', 'https://console.cloud.google.com/apis/library/places-backend.googleapis.com?q=place', 'https://console.developers.google.com/apis/credentials', $this->server_ip(), 'https://console.cloud.google.com/project/_/billing/enable'); ?>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="place-id"><?php esc_html_e('Google Place ID', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <p class="input">
                            <input type="text" id="place-id" class="regular-text code" name="google_business_reviews_rating_place_id" pattern="^[B-Za-z][0-9A-Za-z_-]{15,125}[0-9A-Za-z]$" placeholder="<?php echo esc_attr(str_repeat('x', 26)); ?>" value="<?php echo esc_attr(get_option('google_business_reviews_rating_place_id')); ?>">
<?php if (is_array($this->places) && count($this->places) == 1 && isset($this->data['result']['name']) && $this->data['result']['name'] != NULL): ?>
                            <input type="text" id="place-name" class="regular-text" name="place_name" value="<?php echo esc_attr($this->data['result']['name']); ?>"<?php echo ' style="width: calc(' . (strlen($this->data['result']['name']) + 1) . 'ch + 16px);"'; ?> disabled>
<?php elseif (is_array($this->places) && count($this->places) > 1): ?>
                            <select type="text" id="places" name="google_business_reviews_rating_places" data-new-place="<?php esc_attr_e('New Place', 'g-business-reviews-rating'); ?>">
                        		<option value=""<?php echo (get_option('google_business_reviews_rating_place_id') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('Select Place', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->places as $i => $a)
	{
		if ($a['name'] == NULL && get_option('google_business_reviews_rating_place_id') != $a['place_id'])
		{
			continue;
		}
?>
                        		<option value="<?php echo esc_attr($a['place_id']); ?>"<?php echo (get_option('google_business_reviews_rating_place_id') == $a['place_id']) ? ' selected' : ''; ?>><?php echo esc_html(($a['name'] != NULL) ? $a['name'] : esc_attr__('Unknown Place', 'g-business-reviews-rating')); ?></option>
<?php
	}
?>
                        </select>
<?php endif; ?>
                        </p>
<?php if ($this->demo || !$this->valid() || (!isset($this->data['result']['url']) || isset($this->data['result']['url']) && $this->data['result']['url'] == NULL)): ?>
                        <p class="description"><?php /* translators: %s: the Google Place Finder URL */ 
						echo sprintf(__('You can find your unique Place ID by searching by your business&rsquo; name in <a href="%s" class="components-external-link" target="_blank">Google&rsquo;s Place ID Finder</a>. Single business locations are accepted; coverage areas are not accepted.', 'g-business-reviews-rating'), 'https://developers.google.com/places/place-id'); ?></p>
<?php else: ?>
                        <p class="description"><?php /* translators: 1: the Google Place Finder URL, 2: the URL of the business in Google Maps */ 
						echo sprintf(__('Find your business&rsquo; name in <a href="%1$s" class="components-external-link" target="_blank">Google&rsquo;s Place ID Finder</a>; single business locations are accepted; coverage areas are not. You may edit the business&rsquo; name in <a href="%2$s" class="components-external-link" target="_blank">Google Maps</a>.', 'g-business-reviews-rating'), 'https://developers.google.com/places/place-id', esc_attr($this->data['result']['url'])); ?></p>
<?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="language"><?php esc_html_e('Retrieval Language', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="language" name="google_business_reviews_rating_language">
                        <option value=""<?php echo (get_option('google_business_reviews_rating_language') == NULL) ? ' selected' : ''; ?>><?php esc_html_e('No Preference', 'g-business-reviews-rating'); ?></option>
<?php
	foreach ($this->languages as $k => $name)
	{
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_language') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="update"><?php esc_html_e('Update Frequency', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <select id="update" name="google_business_reviews_rating_update">
<?php
	foreach ($this->updates as $k => $name)
	{
?>
                            <option value="<?php echo esc_attr($k); ?>"<?php echo (get_option('google_business_reviews_rating_update') == $k) ? ' selected' : ''; ?>><?php echo esc_attr($name); ?></option>
<?php
	}
?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="additional-array-sanitization"><?php esc_html_e('Clean Retrieved Data', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <label for="additional-array-sanitization"><input type="checkbox" id="additional-array-sanitization" name="google_business_reviews_rating_additional_array_sanitization" value="1"<?php echo (get_option('google_business_reviews_rating_additional_array_sanitization') ? ' checked="checked"' : ''); ?>> <?php esc_html_e('Additional sanitization of retrieved data — emoticons are removed from text', 'g-business-reviews-rating'); ?></label>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><label for="demo"><?php esc_html_e('Demo Mode', 'g-business-reviews-rating'); ?></label></th>
                    <td>
                        <label for="demo"><input type="checkbox" id="demo" name="google_business_reviews_rating_demo" value="1"<?php echo (get_option('google_business_reviews_rating_demo') ? ' checked="checked"' : ''); ?>> <?php esc_html_e('Enable Demo Mode with dummy data', 'g-business-reviews-rating'); ?></label>
                    </td>
                </tr>
            </table>
			<?php submit_button(); ?>
		</form>
    </div>

    <div id="shortcodes" class="section<?php echo ($this->section != 'shortcodes') ? ' hide' : ''; ?>">
      <form method="post" action="options.php" id="google-business-reviews-rating-shortcodes">
	        <h2><?php esc_html_e('Shortcodes', 'g-business-reviews-rating'); ?></h2>
            <p><?php /* translators: %s: URL for Shortcode Demonstration Website */
				echo sprintf(__('Here is a selection of Shortcodes with some of the parameters available. You can find more examples in the <a href="%s" class="components-external-link" target="_blank">demonstration website</a>.', 'g-business-reviews-rating'), 'https://demo.designextreme.com/reviews-rating-google-business/'); ?></p>
			<div class="columns">
                <div class="left">
                    <h3 id="shortcodes-reviews"><?php esc_html_e('Reviews', 'g-business-reviews-rating'); ?></h3>
                    <table class="form-table">
                        <tr>
                            <th><?php esc_html_e('Google reviews', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php $id = 0; echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating]" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Google reviews (IDs)', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating id=&quot;1,5,3&quot;]" readonly></td>
                        </tr>
                        <tr>
                            <th rowspan="10"><?php esc_html_e('Google reviews (options)', 'g-business-reviews-rating'); ?></th>
                            <td>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode abbreviated" type="text" value="[reviews_rating theme=&quot;dark&quot; min=3 max=5 offset=0 limit=3 summary=&quot;yes&quot; icon=&quot;no&quot; excerpt=160 more=&quot;read more&quot;]" readonly>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode additional" type="text" value="[reviews_rating language=&quot;nl&quot; review_word=&quot;recensie/recensies&quot;]" readonly>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode abbreviated" type="text" value="[reviews_rating theme=&quot;columns three fonts&quot; vicinity=&quot;E4, London&quot; reviews_link=&quot;View Google Reviews&quot; write_review_link=&quot;Leave A Review&quot;]" readonly>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode additional" type="text" value="[reviews_rating theme=&quot;dark&quot; min=3 max=5 offset=0 limit=3]" readonly>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode abbreviated" type="text" value="[reviews_rating icon=&quot;/wp-content/uploads/logo.png&quot; avatar=&quot;false&quot; review_item_order=&quot;text first&quot; review_text_min=200]" readonly>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode additional" type="text" value="[reviews_rating summary=&quot;yes&quot; icon=&quot;no&quot; excerpt=160 more=&quot;read more&quot;]" readonly>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode abbreviated" type="text" value="[reviews_rating place_id=&quot;ChIJtTeDfh9w5kcRJEWRKN1Yy6I&quot; animate=&quot;no&quot; review_text=&quot;no&quot; attribution=&quot;yes&quot;]" readonly>
                            	<input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode additional" type="text" value="[reviews_rating theme=&quot;columns three fonts&quot; reviews_link=&quot;View Google Reviews&quot; write_review_link=&quot;Leave A Review&quot;]" readonly>
                            </td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating avatar=&quot;false&quot; review_item_order=&quot;text first&quot; review_text_min=200]" readonly></td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating icon=&quot;/wp-content/uploads/logo.png&quot; name=&quot;Star Consultancy&quot; vicinity=&quot;E4, London&quot;]" readonly></td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating place_id=&quot;ChIJaxhvijEFdkgRPtwPZgzI4w8&quot; animate=&quot;no&quot; review_text=&quot;no&quot;]" readonly></td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating summary=false date=false limit=3 min=5 review_text_min=140 review_text_max=290 name_format=&quot;last initial&quot;]" readonly></td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating theme=&quot;bubble center fill columns three&quot; summary=false limit=3 min=5 excerpt=150]" readonly></td>
                        </tr>
                        <tr class="additional">
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating theme=&quot;narrow center&quot; summary=&quot;icon, name, rating, stars, count&quot; limit=0 stars=&quot;css&quot;]" readonly></td>
                        </tr>
                    </table>
                </div>
                <div class="right">
                    <h3 id="shortcodes-links"><?php esc_html_e('Links', 'g-business-reviews-rating'); ?></h3>
                    <table class="form-table">
                        <tr>
                            <th><?php esc_html_e('Google reviews link', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link reviews_link]' . __('Our Reviews on Google', 'g-business-reviews-rating') . '[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                        <tr>
                            <th rowspan="3"><?php esc_html_e('Google reviews link (options)', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link reviews_link class="button" target="_blank"]' . __('Our Reviews on Google', 'g-business-reviews-rating') . '[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                        <tr>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link reviews_link]&lt;span class=&quot;google-icon&quot;&gt;&lt;/span&gt; ' . __('Our Reviews on Google', 'g-business-reviews-rating') . '[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                        <tr>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link reviews_link]' . __('Our Reviews on Google', 'g-business-reviews-rating') . ' &lt;span class=&quot;google-icon black end&quot;&gt;&lt;/span&gt;[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Write a Google review link', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link write_review_link]' . __('Leave Your Review on Google', 'g-business-reviews-rating') . '[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Google Maps link', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="<?php echo esc_attr('[reviews_rating_link maps_link]' . __('View Location on Google Maps', 'g-business-reviews-rating') . '[/reviews_rating_link]'); ?>" readonly></td>
                        </tr>
                    </table>
                    <h3 id="shortcodes-text"><?php esc_html_e('Text', 'g-business-reviews-rating'); ?></h3>
                    <table class="form-table">
                        <tr>
                            <th><?php esc_html_e('Google rating', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating rating]" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Google review count', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating review_count]" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Google reviews URL', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating reviews_url]" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Write a Google review URL', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating write_review_url]" readonly></td>
                        </tr>
                        <tr>
                            <th><?php esc_html_e('Google Maps URL', 'g-business-reviews-rating'); ?></th>
                            <td><input id="<?php echo 'shortcode-' . $id; $id++; ?>" name="shortcode[]" class="shortcode" type="text" value="[reviews_rating maps_url]" readonly></td>
                        </tr>
                    </table>
                </div>
            </div>
            
            <h2 id="parameters"><?php esc_html_e('Parameters', 'g-business-reviews-rating'); ?></h2>
            <p><?php _e('There are quite a wide range of parameters that are accepted, so a guide will help cover all the possibilities to customize the output of your reviews, links and text. Shortcode parameters will override the values in the Setup. All parameters are optional.', 'g-business-reviews-rating'); ?></p>
            <table class="wp-list-table widefat fixed striped parameters">
                <tr>
                    <th class="parameter"><?php esc_html_e('Parameter', 'g-business-reviews-rating'); ?></th>
                    <th class="description"><?php esc_html_e('Description', 'g-business-reviews-rating'); ?></th>
                    <th class="accepted"><?php esc_html_e('Accepted Values', 'g-business-reviews-rating'); ?></th>
                    <th class="default"><?php esc_html_e('Default', 'g-business-reviews-rating'); ?></th>
                    <th class="boolean"><?php esc_html_e('Reviews', 'g-business-reviews-rating'); ?></th>
                    <th class="boolean"><?php esc_html_e('Links', 'g-business-reviews-rating'); ?></th>
                </tr>
                <tr id="parameter-limit">
                    <td class="parameter">limit</td>
                    <td class="description"><?php /* translators: 1: NULL as a parameter value, 2: Numerical zero as a parameter value */
						echo sprintf(__('Simply sets the number of reviews you would like listed. Do not set or leave this empty (<span class="code">%1$s</span>) = all reviews and <span class="code">%2$s</span> = hide reviews.', 'g-business-reviews-rating'), 'NULL', '0'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <span class="code">0</span>, <span class="code">1</span>, <span class="code">2</span>, &hellip;</td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-sort">
                    <td class="parameter">sort</td>
                    <td class="description"><?php /* translators: %s: parameter value for NULL */
						echo sprintf(__('Your preference for sorting when 2 or more reviews are displayed. Leave empty (<span class="code">%s</span>) to sort by Google&rsquo;s relevance.', 'g-business-reviews-rating'), 'NULL'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <?php $review_sort_options = array_keys($this->review_sort_options); array_shift($review_sort_options); echo esc_html(implode(', ', $review_sort_options)); ?></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-offset">
                    <td class="parameter">offset</td>
                    <td class="description"><?php _e('When the limit is 1 or more, you can offset the review results to &ldquo;jump&rdquo; forward.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><span class="code">0</span>, <span class="code">1</span>, <span class="code">2</span>, &hellip;</td>
                    <td class="default"><span class="code">0</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-id">
                    <td class="parameter">id</td>
                    <td class="description"><?php /* translators: %s: bookmark for reviews */
						echo sprintf(__('Specify reviews by ID (see <a href="%s">Reviews</a>); ordering is preserved within a list; comma separated for two or more IDs.', 'g-business-reviews-rating'), '#reviews'); ?></td>
                    <td class="accepted"><span class="code">1</span>, <span class="code">2</span>, <span class="code">3</span>, &hellip; or &quot;1, 5, 6, 2&quot;</td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-place-id">
                    <td class="parameter">place_id</td>
                    <td class="description"><?php _e('If you have more than one Place in the retrieved reviews, you can filter by the Place ID. Only the active Place will receive new reviews and data.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('String'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-language">
                    <td class="parameter">language</td>
                    <td class="description"><?php _e('Filter results based on the language using the two letter language code. Empty reviews have no language will always appear.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><?php /* translators: example two character language codes, lowercase, start with local language */ _e('en, fr, de, &hellip;'); ?></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-theme" data-show="<?php esc_attr_e('Show', 'g-business-reviews-rating'); ?>">
                    <td class="parameter">theme</td>
                    <td class="description"><?php /* translators: %s: bookmark for HTML classes */
						echo sprintf(__('Set a theme based on your overall visual requirements. You may use their combination of <a href="%s">class names</a> (recommended) or the full text name (not recommended). These values match with the class attribute set to the main HTML element.', 'g-business-reviews-rating'), '#classes'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <?php echo esc_html('"' . implode('", "', array_keys($this->reviews_themes)) . '"'); ?></td>
                    <td class="default">light</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-color-scheme">
                    <td class="parameter">color_scheme</td>
                    <td class="description"><?php _e('Set a color scheme based on your overall visual requirements. These values match with the class attribute set to the main HTML element.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <?php echo esc_html('"' . implode('", "', array_keys($this->color_schemes)) . '"'); ?></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-min">
                    <td class="parameter">min</td>
                    <td class="description"><?php _e('Set to filter out any ratings that fall below this minimum value.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><span class="code">1</span>, <span class="code">2</span>, <span class="code">3</span>, <span class="code">4</span>, <span class="code">5</span></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-max">
                    <td class="parameter">max</td>
                    <td class="description"><?php _e('Set to filter out any ratings that lie above this maximum value.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><span class="code">1</span>, <span class="code">2</span>, <span class="code">3</span>, <span class="code">4</span>, <span class="code">5</span></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-summary">
                    <td class="parameter">summary</td>
                    <td class="description"><?php /* translators: %s: is a list of parameters and should remain unchanged */
						echo sprintf(__('Show or hide the summary section &mdash; containing the icon, business name, vicinity and rating. You may also list individual elements that match the parameters: %s; as a list separated by commas.', 'g-business-reviews-rating'), '<a href="#parameter-icon">icon</a>, <a href="#parameter-name">name</a>, <a href="#parameter-vicinity">vicinity</a>, <a href="#parameter-rating">rating</a>, <a href="#parameter-stars">stars</a>, <a href="#parameter-count">count</a>'); ?></td>
                    <td class="accepted">icon, name, vicinity, rating, &quot;rating number&quot;, &quot;rating stars&quot;, &quot;review count&quot;, yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-icon">
                    <td class="parameter">icon</td>
                    <td class="description"><?php _e('Show or hide business icon &mdash; or specify your own image replacement (jpg, jpeg, png, gif, svg extensions are supported).', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em>/url/to/image.jpg</em></td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-name">
                    <td class="parameter">name</td>
                    <td class="description"><?php _e('Show or hide business name &mdash; or specify your own choice of business name.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-vicinity">
                    <td class="parameter">vicinity</td>
                    <td class="description"><?php _e('Show or hide business vicinity according to Google &mdash; or specify your own text replacement.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-rating">
                    <td class="parameter">rating</td>
                    <td class="description"><?php _e('Show or hide number of the overall rating.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-stars">
                    <td class="parameter">stars</td>
                    <td class="description"><?php /* translators: 1: parameter value for CSS, 2: parameter value for specific colors */
						echo sprintf(__('Show or hide stars for the overall rating, with an option to override default orange color for stars in the overall rating. Set as <em>%1$s</em> to mirror the style sheet rule <em>%2$s</em>.', 'g-business-reviews-rating'), 'css', 'color'); ?></td>
                    <td class="accepted">svg, html, css, yes, no, true, false, show, hide, on, off, <em><?php esc_html_e('Any valid color string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default">svg</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-stars-gray">
                    <td class="parameter">stars_gray</td>
                    <td class="description"><?php /* translators: 1: parameter value for CSS, 2: parameter value for specific colors */
						echo sprintf(__('Optionally override the default gray color for stars in the overall rating. Set as <em>%1$s</em> to mirror the style sheet rule <em>%2$s</em>.', 'g-business-reviews-rating'), 'css', 'color'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, css, <em><?php esc_html_e('Any valid color string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-count">
                    <td class="parameter">count</td>
                    <td class="description"><?php _e('Show or hide total review/rating count.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, show, hide, on, off</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-word">
                    <td class="parameter">review_word</td>
                    <td class="description"><?php /* translators: Please keep reference to &#37;u intact, example in alternative language preferred */
						_e('Word displayed after the total review/rating count number in the summary. Accepts &#37;u to set placement of review/rating count (e.g. <em>Tenemos &#37;u comentarios</em>). For completeness, you may separate singular and plural with , or / characters.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td> 
                    <td class="default"><?php esc_html_e('review', 'g-business-reviews-rating'); ?>/<?php esc_html_e('reviews', 'g-business-reviews-rating'); ?></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-animate">
                    <td class="parameter">animate</td>
                    <td class="description"><?php /* translators: %s: parameter value for FALSE */
						echo sprintf(__('Animate the rating stars on load or set as static (<span class="code">%s</span>).', 'g-business-reviews-rating'), 'FALSE'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, animate, static</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-text">
                    <td class="parameter">review_text</td>
                    <td class="description"><?php _e('Show or hide all review text leaving just the names, ratings and relative times.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-text-min">
                    <td class="parameter">review_text_min</td>
                    <td class="description"><?php /* translators: 1: NULL as a parameter value, 2: Numerical zero as a parameter value */
						echo sprintf(__('Filter by a minimum review text character count. Empty (<span class="code">%1$s</span>) or <span class="code">%2$s</span> = no minimum. ', 'g-business-reviews-rating'), 'NULL', '0'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <span class="code">0</span>, <span class="code">1</span>, <span class="code">2</span>, &hellip;</td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-text-max">
                    <td class="parameter">review_text_max</td>
                    <td class="description"><?php /* translators: 1: NULL as a parameter value, 2: Numerical zero as a parameter value */
						echo sprintf(__('Filter by a maximum review text character count. Empty (<span class="code">%1$s</span>) = no maximum. <span class="code">%2$s</span> = no review text. ', 'g-business-reviews-rating'), 'NULL', '0'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <span class="code">0</span>, <span class="code">1</span>, <span class="code">2</span>, &hellip;</td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-text-inc">
                    <td class="parameter">review_text_inc</td>
                    <td class="description"><?php _e('Require a specific word or words in review text. Case insensitive; full word match. Multiple required words as a comma separated list.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">excellent or &quot;good, superb, great, &hellip;&quot;, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-text-exc">
                    <td class="parameter">review_text_exc</td>
                    <td class="description"><?php _e('Filter out reviews containing a specific word or words. Case insensitive; full word match. Multiple required words as a comma separated list.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">poor or &quot;average, bad, avoid, &hellip;&quot;, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-excerpt">
                    <td class="parameter">excerpt</td>
                    <td class="description"><?php /* translators: %s: parameter value for NULL */
						echo sprintf(__('Characters in review text to show before a &ldquo;more&rdquo; toggle link is shown to expand the remainder of the review. Empty (<span class="code">%s</span>) = no excerpt; show all review text.', 'g-business-reviews-rating'), 'NULL'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <span class="code">20</span>, <span class="code">21</span>, <span class="code">22</span>, &hellip;</td>
                    <td class="default"><span class="code">235</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-more">
                    <td class="parameter">more</td>
                    <td class="description"><?php _e('Text to use in the &ldquo;more&rdquo; toggle link.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td> 
                    <td class="default"><?php esc_html_e('More', 'g-business-reviews-rating'); ?></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-date">
                    <td class="parameter">date</td>
                    <td class="description"><?php /* translators: use local language version at php.net if available */ _e('Choose how to display the review dates, either using the <a href="https://www.php.net/date" class="components-external-link" target="_blank">PHP date</a>, relative text or to hide entirely. Actual review date may be an approximation if imported.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">relative, no, false, <span class="code">0</span>, hide, off, <em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default">relative</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-link">
                    <td class="parameter">link</td>
                    <td class="description"><?php _e('Set the entire element as a link to all reviews listed externally at Google (only if no reviews listed). Automatically added to Badge theme when no reviews are showing.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">reviews, &quot;write review&quot;, yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, <em><?php esc_html_e('URL string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">FALSE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-link-disable">
                    <td class="parameter">link_disable</td>
                    <td class="description"><?php /* translators: 1: parameter value for switching author name in review listings, 2: parameter value for setting author details to appear inline in the review listings */
						echo sprintf(__('Disable all links or disable specific links based on their purpose: <em>%1$s</em>, <em>%2$s</em> or <em>%3$s</em>; use a comma separated list for multiple selections.', 'g-business-reviews-rating'), 'reviews', 'write review', 'author'); ?></td>
                    <td class="accepted">reviews, &quot;write review&quot;, author, yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">FALSE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-reviews-link">
                    <td class="parameter">reviews_link</td>
                    <td class="description"><?php _e('Show a link/button for all reviews listed externally at Google. Specify custom text string to appear as the link text. This is hidden by default.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">FALSE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-write-review-link">
                    <td class="parameter">write_review_link</td>
                    <td class="description"><?php _e('Show a link/button to allow a visitor to leave a review at Google. Specify custom text string to appear as the link text. This is hidden by default.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em><?php esc_html_e('Any string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">FALSE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-avatar">
                    <td class="parameter">avatar</td>
                    <td class="description"><?php _e('Show or hide users&rsquo; avatars &mdash; or specify your own [single] image replacement (jpg, jpeg, png, gif, svg extensions are supported).', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, <em><?php /* translators: example path to image, include forward slashes */ esc_html_e('/url/to/image.jpg', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-name-format">
                    <td class="parameter">name_format</td>
                    <td class="description"><?php /* translators: do not alter some words in the brackets — initials, last name initials — as these must remain in English. lowercase */ _e('Control the format of reviewers&rsquo; names such as (e.g. initials or last name initials). Options for case selection and formatting can be combined.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, &quot;capitalize&quot;, &quot;lowercase&quot;, &quot;uppercase&quot;, &quot;full name&quot;, &quot;intials&quot;, &quot;first initial&quot;, &quot;last initial&quot;, &quot;intials with dots&quot;, &quot;first initial with dot&quot;, &quot;last initial with dot&quot;, &quot;initials with dots and space&quot;,  &quot;first initial with dot and space&quot;, &quot;last initial with dot and space&quot;</td>
                    <td class="default">&quot;full name&quot;</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-review-item-order">
                    <td class="parameter">review_item_order</td>
                    <td class="description"><?php /* translators: 1: parameter value for switching author name in review listings, 2: parameter value for setting author details to appear inline in the review listings */
						echo sprintf(__('Change the ordering of each review item &mdash; review text can be set to appear at the top of each entry. Add <em>%1$s</em> to switch the author&rsquo;s avatar and name with stars and date. Add <em>%2$s</em> to set the author name, stars and date inline. This may be extended if there is a <a href="https://designextreme.com/wordpress/" class="components-external-link" target="_blank">demand</a>.', 'g-business-reviews-rating'), 'author switch', 'inline'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, &quot;text first&quot;, &quot;text last&quot;, &quot;author switch&quot;, inline, &quot;text first inline&quot;, &quot;author switch inline&quot;, &quot;text first author switch inline&quot;</td>
                    <td class="default">&quot;text last&quot;</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-attribution">
                    <td class="parameter">attribution</td>
                    <td class="description"><?php /* translators: for the moment, leave powered by Google unchanged — title attribute exists for other languages */ _e('Show or hide the &ldquo;powered by Google&rdquo; attribution.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off, light, dark</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-html-tags">
                    <td class="parameter">html_tags</td>
                    <td class="description"><?php /* translators: 1: heading HTML tag, 2: another heading HTML tag */
						echo sprintf(__('Set your own HTML tags for elements such as replacing <span class="code">%1$s</span> with <span class="code">%2$s</span>. Any sequence length accepted; separated by commas for: heading, vicinity, rating, list, list item, buttons, attribution and errors.', 'g-business-reviews-rating'), '&lt;h2&gt;', '&lt;h3&gt;'); ?></td>
                    <td class="accepted">h3 or &quot;h4, div, div, <em>&hellip;&quot;</em></td>
                    <td class="default"><?php echo esc_html('"' . implode(', ', $this->default_html_tags) . '"'); ?></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-class">
                    <td class="parameter">class</td>
                    <td class="description"><?php /* translators: %s: refers the ID of the next section and should remain unchanged */
						echo sprintf(__('Set the class attribute for main HTML element or the single anchor link. Refer to the <a href="%s">HTML Classes</a> for a comprehensive list of pre-defined styles and triggers. Separated by spaces; not commas.', 'g-business-reviews-rating'), '#classes'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr id="parameter-link-class">
                    <td class="parameter">link_class</td>
                    <td class="description"><?php _e('Specifically set the class attribute for a link or links. Separated by spaces; not commas.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr id="parameter-reviews-link-class">
                    <td class="parameter">reviews_link_class</td>
                    <td class="description"><?php _e('Set the class attribute for the Google reviews link only. Separated by spaces; not commas.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-write-review-link-class">
                    <td class="parameter">write_review_link_class</td>
                    <td class="description"><?php _e('Set the class attribute for the Write a Google review link only. Separated by spaces; not commas.', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default"><span class="code">NULL</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-target">
                    <td class="parameter">target</td>
                    <td class="description"><?php /* translators: 1: the target attribute 2: parameter value for NULL */
						echo sprintf(__('Set the anchor link&rsquo;s <a href="https://www.w3schools.com/tags/att_a_target.asp" class="components-external-link" target="_blank">%1$s</a>. Empty (<span class="code">%2$s</span>) to remove attribute.', 'g-business-reviews-rating'), 'target', 'NULL'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, <em><?php esc_html_e('Any valid string', 'g-business-reviews-rating'); ?></em></td>
                    <td class="default">_blank</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr id="parameter-rel">
                    <td class="parameter">rel</td>
                    <td class="description"><?php /* translators: 1: the rel attribute 2: parameter value for NULL */
						echo sprintf(__('Set the anchor link&rsquo;s <a href="https://www.w3schools.com/tags/att_a_rel.asp" class="components-external-link" target="_blank"><abbr title="relationship">%1$s</abbr> attribute</a>. Empty (<span class="code">%2$s</span>) to remove attribute.', 'g-business-reviews-rating'), 'rel', 'NULL'); ?></td>
                    <td class="accepted"><span class="code">NULL</span>, author, bookmark, external, nofollow, noopener, noreferrer</td>
                    <td class="default">nofollow</td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr id="parameter-stylesheet">
                    <td class="parameter">stylesheet</td>
                    <td class="description"><?php _e('Choose to not load the style sheet that makes your rating and reviews look good. <em>Not recommended as a parameter.</em>', 'g-business-reviews-rating'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">TRUE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-multiplier">
                    <td class="parameter">multiplier</td>
                    <td class="description"><?php /* translators: 1: parameter value for HTML entities used in overall rating star, 2: bookmark link, 3: parameter value to trigger script for previous version of plugin */
						echo sprintf(__('If the stars aren&rsquo;t aligning in the overall rating, you can modify this value to adjust the width. Only applicable when used with stars parameter: <em>%1$s</em> or <a href="%2$s">class parameter</a>: <em>%3$s</em>.', 'g-business-reviews-rating'), 'html', '#parameter-class', 'version-1'); ?></td>
                    <td class="accepted"><em><?php esc_html_e('Positive float number:', 'g-business-reviews-rating'); ?></em> <span class="code">0.001</span> &ndash; <span class="code">10</span></td>
                    <td class="default"><span class="code">0.193</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr id="parameter-errors">
                    <td class="parameter">errors</td>
                    <td class="description"><?php /* translators: 1: WP_DEBUG definition name, 2: WordPress configuration file name */
						echo sprintf(__('You can choose to hide error notices caused by lack of reviews, filtering that leads to no reviews or lack of source data. Defaults to <span class="code">%1$s</span> if defined in <em>%2$s</em>.', 'g-business-reviews-rating'), 'WP_DEBUG', 'wp-config.php'); ?></td>
                    <td class="accepted">yes, no, true, false, <span class="code">1</span>, <span class="code">0</span>, show, hide, on, off</td>
                    <td class="default"><span class="code">FALSE</span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                    <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
            </table>
            
            <h2 id="classes"><?php esc_html_e('HTML Classes', 'g-business-reviews-rating'); ?></h2>
            <p><?php /* translators: 1: bookmark for parameter theme, 2: name of theme parameter, 3: bookmark for parameter class, 4: name of class parameter */
				echo sprintf(__('Stylistically, you may wish to make changes that are beyond the list of themes. Here is a list of HTML classes that can be used by <a href="%1$s">%2$s</a> or <a href="%3$s">%4$s</a> parameter to set your design and functionality preferences.', 'g-business-reviews-rating'), '#parameter-theme', 'theme', '#parameter-class', 'class'); ?></p>
            <table class="wp-list-table widefat fixed striped classes">
              <tr>
                  <th class="class"><?php esc_html_e('Class', 'g-business-reviews-rating'); ?></th>
                  <th class="description"><?php esc_html_e('Description', 'g-business-reviews-rating'); ?></th>
                  <th class="boolean"><?php esc_html_e('Reviews', 'g-business-reviews-rating'); ?></th>
                  <th class="boolean"><?php esc_html_e('Links', 'g-business-reviews-rating'); ?></th>
              </tr>
              <tr id="class-light">
                  <td class="class">light</td>
                  <td class="description"><?php _e('This is the default theme and implied, so it doesn&rsquo;t need to be specified.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
              </tr>
                <tr>
                  <td class="class">dark</td>
                  <td class="description"><?php _e('For pages or sections with dark backgrounds &mdash; some text and icons have their colors inverted compared to the default, light background.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">fonts</td>
                  <td class="description"><?php _e('Uses fonts, styling and sizing found in the Google review listings.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">badge</td>
                  <td class="description"><?php _e('A more compact version to summarize your business&rsquo; listing on Google, better without reviews.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">tiny</td>
                  <td class="description"><?php _e('Even smaller styling of fonts with some elements hidden by default. Works well with badge to summarize your business&rsquo; listing on Google. Recommend setting your own max-width value in your style sheet.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">narrow</td>
                  <td class="description"><?php _e('If the shortcode is placed in a narrow container and text or elements are jumping to a new lines, try applying this class to handle the narrow space in a neater fashion.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">center</td>
                  <td class="description"><?php _e('Centrally align all text and elements. Can be applied to any theme but some may already share its styling.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">columns</td>
                  <td class="description"><?php _e('Organize reviews in columns of two, three or four. Works with two, three or four added.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">two</td>
                  <td class="description"><?php _e('Set to two columns, must be used with columns class.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">three</td>
                  <td class="description"><?php _e('Set to three columns, must be used with columns class.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">four</td>
                  <td class="description"><?php _e('Set to four columns, must be used with columns class.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">justify</td>
                  <td class="description"><?php _e('Review text can be justified — works better with narrow spaces or columns.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">fill</td>
                  <td class="description"><?php _e('Useful for badge and tiny themes — fill the background with a solid color that works with light or dark. Recommend using your own styling to set a specific color.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">padding</td>
                  <td class="description"><?php _e('Works well with fill — add some padding between the main element and its children.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">outline</td>
                  <td class="description"><?php _e('Add the outline effect, the same as the badge theme, to other themes.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">no-outline</td>
                  <td class="description"><?php _e('Useful for badge — remove the outline effect (box-shadow). Helpful if you want to use a parent element&rsquo;s styling.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">stripe</td>
                  <td class="description"><?php _e('Alternatively stripe the main sections with alternating backgrounds.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">contrast</td>
                  <td class="description"><?php _e('Used with stripe to offer a more contrasting version of the alternating backgrounds with dark/light text.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">google-icon-white</td>
                  <td class="description"><?php _e('Override the default Google icon with a monochrome white version. Used for tiny badges and links.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr>
                  <td class="class">google-icon-black</td>
                  <td class="description"><?php _e('Override the default Google icon with a monochrome black version. Used for tiny badges and links.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                </tr>
                <tr>
                  <td class="class">stars-html</td>
                  <td class="description"><?php /* translators: 1: bookmark for parameter stars, 2: parameter name for stars, 3: bookmark for parameter stars_gray, 4: parameter name for stars_gray */
						echo sprintf(__('Use HTML entities rather than SVG vector images in the overall rating stars. Alternatively, use the parameter: <a href="%1$s">%2$s</a> or <a href="%3$s">%4$s</a>.', 'g-business-reviews-rating'), '#parameter-stars', 'stars', '#parameter-stars-gray', 'stars_gray'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">stars-css</td>
                  <td class="description"><?php /* translators: 1: bookmark for parameter stars, 2: parameter name for stars, 3: bookmark for parameter stars_gray, 4: parameter name for stars_gray */
						echo sprintf(__('Apply style sheet colors to SVG vector images in the overall rating stars. Alternatively, use the parameter: <a href="%1$s">%2$s</a> or <a href="%3$s">%4$s</a>.', 'g-business-reviews-rating'), '#parameter-stars', 'stars', '#parameter-stars-gray', 'stars_gray'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">stars-yellow</td>
                  <td class="description"><?php _e('Set the star color to the current hue as used by Google.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">stars-orange</td>
                  <td class="description"><?php _e('Set the star color to orange, as currently used within this plugin. Set if you intend to intentionally keep this color in future versions.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">link</td>
                  <td class="description"><?php _e('This will trigger an overall link to the reviews on Google for the entire shortcode provided that no reviews are listed. This will already be applied in some instances.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">js-links</td>
                  <td class="description"><?php _e('If the more text does not expand, there may be another script interfering with click events. Try using this for a more basic approach.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
                <tr>
                  <td class="class">no-styles</td>
                  <td class="description"><?php _e('Alternative to clearing all applied styles using JavaScript.', 'g-business-reviews-rating'); ?></td>
                  <td class="boolean"><span class="dashicons dashicons-yes"></span></td>
                  <td class="boolean"><span class="dashicons dashicons-no"></span></td>
                </tr>
            </table>
        </form>
    </div>

<?php if ($this->count_reviews_all >= 1): ?>
	<div id="reviews" class="section<?php echo ($this->section != 'reviews') ? ' hide' : ''; ?>">
		<h2><?php esc_html_e('Reviews', 'g-business-reviews-rating'); ?></h2>
		<p class="rating"><span class="rating-field"><?php esc_html_e('Rating:', 'g-business-reviews-rating'); ?></span> <span class="number"><?php echo esc_html($this->get_data('rating_rounded')); ?></span> <span class="all-stars"><?php echo esc_html(str_repeat('★', 5)); ?><span class="rating-stars" style="<?php echo esc_attr('width: ' . round(0.835 * $this->get_data('rating'), 2) . 'em;'); ?>"><?php echo esc_html(str_repeat('★', ceil($this->get_data('rating')))); ?></span></span> <span class="count"><?php echo esc_html($this->get_data('rating_count') . ' ' . (($this->get_data('rating_count') == 1) ? __('review', 'g-business-reviews-rating') : __('reviews', 'g-business-reviews-rating'))) . ($this->get_data('rating_count') > $this->count_reviews_all ? '*' : ''); ?></span></p>
<?php echo $this->get_reviews('html'); ?>
<?php if ($this->demo || $this->get_data('rating_count') > $this->count_reviews_all): ?>
		<p class="note help">* <?php _e('Please note: the total number of reviews listed at Google will not always match the number of reviews that are retrievable through its API.', 'g-business-reviews-rating'); ?></p>
<?php endif; ?>
	</div>
<?php endif; ?>

<?php if ($this->retrieved_data_check()): ?>
	<div id="data" class="section<?php echo ($this->section != 'data') ? ' hide' : ''; ?>">
		<h2><?php esc_html_e('Retrieved Data', 'g-business-reviews-rating'); ?></h2>
		<?php echo $this->get_data('html'); ?>
<?php if (!$this->retrieved_data_check(TRUE)) : ?> 
<?php if (!$this->retrieved_data_check(FALSE)) : ?>
		<h2><?php esc_html_e('Most Recent Valid Retrieved Data', 'g-business-reviews-rating'); ?></h2>
<?php endif; ?>
        <p><?php /* translators: 1: URL of reviews on Google, 2: URL of Place Finder */ 
		echo sprintf(__('This is the last successfully retrieved data from Google and will be used in the website. While your current reviews may still be visible on <a href="%1$s" class="components-external-link" target="_blank">Google</a>, they are no longer being retrieved.
		Please check and update your <a href="%2$s" class="components-external-link" target="_blank">Place ID</a> if you wish to regain full functionality.', 'g-business-reviews-rating'), 'https://search.google.com/local/reviews?placeid=' . esc_attr($this->place_id), 'https://developers.google.com/places/place-id'); ?></p>
<?php echo $this->get_data('html', NULL, TRUE); ?>
<?php endif; ?>
	</div>
<?php endif; ?>

	<div id="advanced" class="section<?php echo ($this->section != 'advanced') ? ' hide' : ''; ?>">
		<h2><?php esc_html_e('Advanced', 'g-business-reviews-rating'); ?></h2>
		<h3><?php esc_html_e('Import', 'g-business-reviews-rating'); ?></h3>
<?php if (!$this->demo && $this->place_id != NULL && $this->count_reviews_all >= 5): ?>
        <div class="introduction">
<?php /* translators: 1: URL of reviews on Google, 2: URL of diagram image, 3: URL of diagram image, 4: URL of diagram image */ 
	echo sprintf(__('
            <div class="entry-content advanced">
                <p>Okay, this bit is little advanced, if you can use the browser&rsquo;s inspector, you can load <em>all</em> the Google Reviews into your website with approximate dates.</p>
                <ol id="html-import-instructions">
                  <li>Go to your <a href="%1$s" class="components-external-link" target="_blank">Google Reviews</a>;</li>
                  <li>Wait until it loads; expand all reviews by scrolling down;</li>
                  <li><em>Inspect</em> the overall popup &mdash; on the outer white margin: <span class="right-click">right click</span> | Inspect (Fig. 1, 2); </li>
                  <li>In the HTML Inspector panel, <span class="right-click">right click</span> on the &lt;div&gt; that highlights all the reviews and <em>Copy |</em> Outer HTML (Fig. 3); </li>
                  <li>Paste this HTML into the <label for="html-import">textarea below</label>:</li>
                </ol>
            </div>
            <div class="entry-meta advanced">
                <ul id="html-import-figures">
                    <li id="html-import-figure-1"><img src="%2$s" alt="Fig. 1: Import Step 3, Part 1"><span class="caption"><strong>Fig 1:</strong> In the margin, <span class="right-click">right click</span>.</span></li>
                    <li id="html-import-figure-2"><img src="%3$s" alt="Fig. 2: Import Step 3, Part 2"><span class="caption"><strong>Fig 2:</strong> Select <em>Inspect</em>.</span></li>
                    <li id="html-import-figure-3"><img src="%4$s" alt="Fig. 3: Import Step 4"><span class="caption"><strong>Fig 3:</strong> <span class="right-click">Right click</span> on the highlighted &lt;div&gt; tag and click <em>Copy | Outer HTML</em>.</span></li>
                </ul>
            </div>', 'g-business-reviews-rating'),
			esc_attr('https://search.google.com/local/reviews?placeid=' . $this->place_id),
			esc_attr(plugin_dir_url(__FILE__) . 'images/advanced-html-import-step-3a.jpg'),
			esc_attr(plugin_dir_url(__FILE__) . 'images/advanced-html-import-step-3b.jpg'),
			esc_attr(plugin_dir_url(__FILE__) . 'images/advanced-html-import-step-4.jpg')); ?>
        </div>
        <p class="html-import">
            <textarea id="html-import" name="html-import" data-relative-times="<?php echo esc_attr(json_encode($this->relative_times)); ?>" data-languages="<?php echo esc_attr(json_encode($this->languages)); ?>" placeholder="<?php echo '&lt;div class=&quot;lcorif fp-w&quot;&gt;&lt;div&gt;' . esc_attr(__('HTML from your Reviews on Google', 'g-business-reviews-rating')) . '&lt;/div&gt;&lt;/div&gt;'; ?>"></textarea>
            <select id="html-import-review-text" name="html-import-review-text">
            	<option value="original" selected><?php echo esc_html__('Only import original', 'g-business-reviews-rating'); ?></option>
            	<option value="translation"><?php echo esc_html__('Only import translation', 'g-business-reviews-rating'); ?></option>
            	<option value=""><?php echo esc_html__('Import full review text', 'g-business-reviews-rating'); ?></option>
            </select>
            <label id="html-import-existing-label" for="html-import-existing"><input type="checkbox" id="html-import-existing" name="html-import-existing" value="1"> <?php esc_html_e('Show existing review entries', 'g-business-reviews-rating') ?></label>
        </p>
        <p class="submit">
        	<button type="button" name="import-process" id="import-process-button" class="button button-primary"><?php echo esc_html__('Process', 'g-business-reviews-rating'); ?></button>
            <button type="button" name="import" id="import-button" class="button button-primary"><?php echo esc_html__('Import', 'g-business-reviews-rating'); ?></button>
        	<button type="button" name="import-clear" id="import-clear-button" class="button button-secondary"><?php echo esc_html__('Clear', 'g-business-reviews-rating'); ?></button>
		</p>
<?php else: ?>
        <p><?php _e('This section is only available when the following criteria are met:', 'g-business-reviews-rating'); ?></p>
        <ul class="checklist">
        	<li><?php echo (!$this->demo) ? '<span class="dashicons dashicons-yes"></span>' : '<span class="dashicons dashicons-no"></span>'; ?> <?php _e('Demo mode is inactive;', 'g-business-reviews-rating'); ?></li>
        	<li><?php echo ($this->valid()) ? '<span class="dashicons dashicons-yes"></span>' : '<span class="dashicons dashicons-no"></span>'; ?> <?php _e('API Key and Place ID are both set and valid;', 'g-business-reviews-rating'); ?></li>
        	<li><?php echo ($this->demo) ? '<span class="dashicons dashicons-minus"></span>' : (($this->count_reviews_all >= 5) ? '<span class="dashicons dashicons-yes"></span>' : '<span class="dashicons dashicons-no"></span>'); ?> <?php _e('Five or more reviews retrieved from Google.', 'g-business-reviews-rating'); ?></li>
        </ul>
<?php endif; ?>
        <form method="post" action="options.php" id="google-business-reviews-rating-settings-custom-styles">
            <h3><?php esc_html_e('Custom Styles', 'g-business-reviews-rating'); ?></h3>
            <p><?php _e('If you prefer to manage your style sheet outside of your theme, you may add your own customized styles.', 'g-business-reviews-rating'); ?></p>
            <p>
                <textarea id="custom-styles" name="google_business_reviews_rating_custom_styles" placeholder="&#x2F;&#x2A;&#x20;CSS&#x20;Document&#x20;&#x2A;&#x2F;&#xA;&#xA;.google-business-reviews-rating.badge&#x20;{&#xA;&#x9;box-shadow:&#x20;0&#x20;14px&#x20;3px&#x20;-8px&#x20;rgba(0,&#x20;0,&#x20;0,&#x20;0.25),&#x20;0&#x20;0&#x20;0&#x20;3px&#x20;#F00&#x20;inset;&#xA;}"><?php echo esc_html(get_option('google_business_reviews_rating_custom_styles')); ?></textarea>
			</p>
            <p class="submit">
                <button type="button" name="save" id="custom-styles-button" class="button button-primary"><?php esc_html_e('Save', 'g-business-reviews-rating'); ?></button>
            </p>
        </form>
<?php if (!$this->demo): ?>
        <form method="post" action="options.php" id="google-business-reviews-rating-settings-cache">
            <h3><?php esc_html_e('Cache', 'g-business-reviews-rating'); ?></h3>
            <p><?php _e('You may wish to clear the cache and retrieve fresh data from Google.', 'g-business-reviews-rating'); ?></p>
            <p class="submit">
                <button type="button" name="clear-cache" id="clear-cache-button" class="button button-primary"><?php esc_html_e('Clear Cache', 'g-business-reviews-rating'); ?></button>
            </p>
        </form>
<?php endif; ?>
        <form method="post" action="options.php" id="google-business-reviews-rating-settings-reset">
            <h3><?php esc_html_e('Reset', 'g-business-reviews-rating'); ?></h3>
            <p><?php _e('At times you may wish to start over, so you can clear all the plugin&rsquo;s settings here.', 'g-business-reviews-rating'); ?></p>
            <p id="reset-confirm-text">
                <label for="reset-all"><input type="checkbox" id="reset-all" name="google_business_reviews_rating_reset_all" value="1"> <?php esc_html_e('Yes, I am sure.', 'g-business-reviews-rating'); ?></label>
<?php if ($this->count_reviews_all > 5): ?>
                <label for="reset-reviews"><input type="checkbox" id="reset-reviews" name="google_business_reviews_rating_reset_reviews" value="1"> <?php esc_html_e('Clear the review archive only.', 'g-business-reviews-rating'); ?></label>
<?php endif; ?>
			</p>
            <p class="submit">
                <button type="button" name="reset" id="reset-button" class="button button-primary"><?php esc_html_e('Reset', 'g-business-reviews-rating'); ?></button>
            </p>
        </form>
	</div>

	<div id="about" class="section<?php echo ($this->section != 'about') ? ' hide' : ''; ?>">
    	<div class="entry-content">
            <h2><?php esc_html_e('About', 'g-business-reviews-rating'); ?></h2>
<?php /* translators: 1: plugin support URL, 2: author's name, 3: author's website, 4: author's business name */ 
	echo sprintf(__('			<p>This review plugin came about as a side-effect of collecting a business’s opening times using the Places API from Google which sources data from a client’s Google My Business listing. The recent review data is available and, with some tweaks, it could be displayed anywhere in a similar style to the actual reviews popup in the Google search results.</p>
			<p>To keep the reviews current, the Places API is called at regular intervals with new relevant reviews added to the catalogue over time. The extensive Shortcode can be used in any post, page or try the Widget to place directly into the sidebar or footer. Any Shortcode parameters will overwrite the default settings in the first tab. I have kept the style sheet minimal to allow for your own customizations – as a web developer/designer this is what I’d like to see for all plugins.</p>
			<p>This is my first published plugin for WordPress so I’d appreciate any positive or negative <a href="%1$s">feedback</a> or leave your thoughts in a <a href="%2$s">review</a>. So if you have any comments, feature requests or wish to show me your own designs, please feel free to <a href="%3$s">get in touch</a> with me.</p>
			<p><span class="signature" title="%4$s"></span><br>
				Developer, <a href="%5$s">%6$s</a></p>', 'g-business-reviews-rating'), 'https://designextreme.com/wordpress/', 'https://wordpress.org/support/plugin/g-business-reviews-rating/reviews/#new-post', 'https://designextreme.com/wordpress/', 'Noah H', 'https://designextreme.com', 'Design Extreme'); ?>

			<h2><a href="<?php echo esc_attr(admin_url('plugin-install.php?s=designextreme&tab=search&type=author')); ?>"><?php esc_html_e('Plugins by the Developer', 'g-business-reviews-rating'); ?></a></h2>
			<ul id="wordpress-plugin-list">
            	<li id="wordpress-plugin-g-business-reviews-rating">
                	<h3><a href="https://wordpress.org/plugins/g-business-reviews-rating/" class="components-external-link" target="_blank"><span class="icon"></span> Reviews and Rating – Google My Business</a></h3>
                    <p>Shortcode and widget for Google reviews and rating. Give customers a chance to leave their own rating/review; includes Structured Data for SEO.</p>
                    <p class="more-details"><a href="https://wordpress.org/plugins/g-business-reviews-rating/" class="components-external-link" target="_blank"><?php esc_html_e('More Details', 'g-business-reviews-rating'); ?></a></p>
                    <p class="installed"><?php esc_html_e('Installed', 'g-business-reviews-rating'); ?></p>
                </li>
            	<li id="wordpress-plugin-open">
                	<h3><a href="https://wordpress.org/plugins/opening-hours/" class="components-external-link" target="_blank"><span class="icon"></span> We’re Open!</a></h3>
                    <p>Simple and easy to manage regular and special opening hours for your business, includes support for Structured Data and populating from Google My Business.</p>
                    <p class="more-details"><a href="https://wordpress.org/plugins/opening-hours/" class="components-external-link" target="_blank"><?php esc_html_e('More Details', 'g-business-reviews-rating'); ?></a></p>
<?php if (is_plugin_active('opening-hours/opening-hours.php')) : ?>
                    <p class="installed"><?php esc_html_e('Installed', 'g-business-reviews-rating'); ?></p>
<?php endif; ?>
                </li>
            </ul>
		</div>
    	<div class="entry-meta">
            <div class="widget plugin-social">
                <h3 class="widget-title"><?php esc_html_e('Follow Us', 'g-business-reviews-rating'); ?></h3>
                <p class="aside"><?php esc_html_e('Want some easy-to-follow pro tips with examples? We will help you to make your reviews really stand out. Feature requests are welcome too.', 'g-business-reviews-rating'); ?></p>
                <p><a class="button" href="https://twitter.com/designextreme_"><span class="dashicons dashicons-twitter"></span> <?php esc_html_e('Follow Us', 'g-business-reviews-rating'); ?></a></p>			
            </div>
            <div class="widget plugin-support">
                <h3 class="widget-title"><?php esc_html_e('Support', 'g-business-reviews-rating'); ?></h3>
                <p class="aside"><?php esc_html_e('Do you have any general support queries? Please search our forums at WordPress or make your own contribution. You can see that we are always very quick to reply!', 'g-business-reviews-rating'); ?></p>
                <p><a class="button" href="https://wordpress.org/support/plugin/g-business-reviews-rating/"><span class="dashicons dashicons-editor-help"></span> <?php esc_html_e('View support forum', 'g-business-reviews-rating'); ?></a></p>			
            </div>
            <div class="widget plugin-ratings">
                <h3 class="widget-title"><?php esc_html_e('Ratings', 'g-business-reviews-rating'); ?></h3>
                <p class="aside"><?php esc_html_e('Love this plugin with as much heart as we’ve put into its code? Why not share your feedback to help others with their plugin decision.', 'g-business-reviews-rating'); ?></p>
                <p><a class="button" href="https://wordpress.org/support/plugin/g-business-reviews-rating/reviews/#new-post"><span class="dashicons dashicons-star-filled"></span> <?php esc_html_e('Add my review', 'g-business-reviews-rating'); ?></a></p>			
            </div>
            <div class="widget plugin-donate">
                <h3 class="widget-title"><?php esc_html_e('Donate', 'g-business-reviews-rating'); ?></h3>
                <p class="aside"><?php esc_html_e('This plugin is actually powered by oat flat whites… We welcome any show of support the advancement of this plugin, no matter how small.', 'g-business-reviews-rating'); ?></p>
                <p><a class="button button-secondary" href="https://paypal.me/designextreme"><span class="dashicons dashicons-heart"></span> <?php esc_html_e('Donate to this plugin', 'g-business-reviews-rating'); ?></a></p>
            </div>
		</div>
	</div>
</div>
